%define name		guitarix
%define version		0.33.0
%define release		%mkrel 2
%define ladspadir	%{_libdir}/ladspa
%define lv2dir		%{_libdir}/lv2

Name:           %{name}
Summary:        Guitar effect processor for JACK
Version:        %{version} 
Release:        %{release}
Source:         http://prdownloads.sourceforge.net/guitarix/%{name}2-%{version}.tar.xz
URL:            http://guitarix.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        GPLv2
Group:          Sound
BuildRequires:  python-devel
BuildRequires:  libjack-devel
BuildRequires:  libsndfile-devel
BuildRequires:  gtk2-devel
BuildRequires:  ladspa-devel
BuildRequires:  gtkmm2.4-devel
BuildRequires:  boost-devel
BuildRequires:  intltool
BuildRequires:  fftw-devel
BuildRequires:  liblrdf-devel
BuildRequires:  lv2-devel
BuildRequires:  lilv-devel
BuildRequires:  avahi-gobject-devel
BuildRequires:  bluez-devel
BuildRequires:  eigen3

%description
guitarix is a simple Linux Rock Guitar Amplifier for the Jack Audio 
Connektion Kit with one input and two outputs. Designed to get nice 
thrash/metal/rock/blues guitar sounds. There are controls for bass, 
middle, treble, gain (in/out), compressor, preamp, tube's, drive, 
overdrive, oversample, anti-aliase, fuzz, balance, distortion, freeverb,
impulse response, vibrato, chorus, delay , crybaby(wah) and echo.

%prep
%setup -q -n %{name}-%{version}

%build
./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--ladspadir=%{ladspadir} \
	--lv2dir=%{lv2dir}
./waf build

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}
desktop-file-install --vendor="" \
 --add-category="X-MandrivaLinux-Multimedia-Sound" \
 --remove-category="X-Jack" \
 --remove-category="Midi" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#remove uneeded files.
rm -rf %buildroot/%{_libdir}/libgxw.so
rm -rf %buildroot/%{_libdir}/libgxwmm.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/guitarix
%{_libdir}/libgx*
%{_libdir}/lv2
%{_datadir}/gx_head
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{ladspadir}/*.so
%{_datadir}/ladspa/rdf/*.rdf
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog
* Mon Aug 03 2015 bb <bb> 0.33.0-2pclos2015
- fix broken requires

* Mon Aug 03 2015 bb <bb> 0.33.0-1pclos2015
- update

* Thu Jun 25 2015 gseaman <galen.seaman at comcast.net> 0.32.3-1gseaman2015
- 0.32.3

